Gecode::Kernel::Config Namespace Reference

## Variables

const double | rescale = 1e-50
| Rescale factor for action and afc values.
const double | rescale_limit = DBL_MAX * rescale
| Rescale action and afc values when larger than this.
const double | chb_alpha_init = 0.4
| Initial value for alpha in CHB.
const double | chb_alpha_limit = 0.06
| Limit for decreasing alpha in CHB.
const double | chb_alpha_decrement = 1e-6
| Alpha decrement in CHB.
const double | chb_qscore_init = 0.05
| Initial value for Q-score in CHB.

## Variable Documentation

## rescale

const double Gecode::Kernel::Config::rescale = 1e-50

Rescale factor for action and afc values.

Definition at line 99 of file kernel.hh.

## rescale_limit

const double Gecode::Kernel::Config::rescale_limit = DBL_MAX * rescale

Rescale action and afc values when larger than this.

Definition at line 101 of file kernel.hh.

## chb_alpha_init

const double Gecode::Kernel::Config::chb_alpha_init = 0.4

Initial value for alpha in CHB.

Definition at line 104 of file kernel.hh.

## chb_alpha_limit

const double Gecode::Kernel::Config::chb_alpha_limit = 0.06

Limit for decreasing alpha in CHB.

Definition at line 106 of file kernel.hh.

## chb_alpha_decrement

const double Gecode::Kernel::Config::chb_alpha_decrement = 1e-6

Alpha decrement in CHB.

Definition at line 108 of file kernel.hh.

## chb_qscore_init

const double Gecode::Kernel::Config::chb_qscore_init = 0.05

Initial value for Q-score in CHB.

Definition at line 110 of file kernel.hh.